Skip to main content
POST
/
connections
/
{nameOrID}
/
credentials
/
{sessionID}
Resume Connection Credentials Request
curl --request POST \
  --url https://use.hoop.dev/api/connections/{nameOrID}/credentials/{sessionID} \
  --header 'Content-Type: application/json' \
  --data '
{
  "access_duration_seconds": 123
}
'
{
  "connection_credentials": "<unknown>",
  "connection_name": "pgdemo",
  "connection_subtype": "postgres",
  "connection_type": "postgres",
  "created_at": "2025-08-25T12:00:00Z",
  "expire_at": "2025-08-25T13:00:00Z",
  "has_review": false,
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "review_id": "3CBC8DB5-FBF8-4293-8E35-59A6EEA40207",
  "session_id": "2CBC8DB5-FBF8-4293-8E35-59A6EEA40207"
}

Documentation Index

Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

nameOrID
string
required

Name or UUID of the connection

sessionID
string
required

Session ID from the initial request

Body

application/json

The request body resource

access_duration_seconds
integer

Response

Created

connection_credentials
any

The connection information

connection_name
string

The name of the connection

Example:

"pgdemo"

connection_subtype
string

The connection subtype

Example:

"postgres"

connection_type
string

Connection type

Example:

"postgres"

created_at
string

When the resource was created

Example:

"2025-08-25T12:00:00Z"

expire_at
string

When the database access connection expires

Example:

"2025-08-25T13:00:00Z"

has_review
boolean

Whether this credential request requires review/JIT approval

Example:

false

id
string<uuid>
read-only

The unique identifier of the connection database access

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

review_id
string<uuid>

The review ID if review is required

Example:

"3CBC8DB5-FBF8-4293-8E35-59A6EEA40207"

session_id
string<uuid>

The session ID associated with this credential access

Example:

"2CBC8DB5-FBF8-4293-8E35-59A6EEA40207"